Не удается найти менеджера AVD или SDK в Eclipse

Похоже, у меня возникли проблемы после обновления моих инструментов andddd sdk и инструментов платформы с помощью диспетчера sdk. Проблема в том, что после обновления я обнаружил, что параметры avd или sdk в выпадающем меню Windows в eclipse исчезли! И я больше не могу найти вариант создания проекта Android из файлов → новых проектов.

Я попытался удалить ADT из eclipse и сайта программного обеспечения "https://dl-ssl.google.com/android/eclipse/" с "доступных сайтов программного обеспечения", а затем переустановил ADT с "https://dl -ssl.google.com/android/eclipse/" с помощью help- > установить новое программное обеспечение. Установка прошла успешно, но у меня все еще нет возможности для быстрого доступа к менеджеру SDK или AVD в eclipse, и я также не могу создать новый проект для Android.

Кстати, перспективы Android не исчезли, они все еще здесь. Кроме того, я могу вручную открыть менеджер avd и sdk из каталога, где я их установил.

Может ли кто-нибудь показать мне обходной путь? Любая помощь будет принята с благодарностью.

+86
источник поделиться
8 ответов

Я решил это следующим образом:

  • Окно > Настроить Перспектива... (вы увидите, что Android и AVD Manager отключены)

  • Доступны группы команд > Android и AVD Manager > проверьте

  • Видимость панели инструментов > Android и AVD Manager > проверьте

+322
источник

У меня возникла аналогичная проблема после обновления SDK от r20 до r21, но все, что я пропустил, был SDK/AVD Manager и работал в этом сообщении во время поиска ответа.

Мне удалось решить его, перейдя на Window -> Customize Perspective, а на вкладке "Доступность групп команд" проверьте Android SDK и AVD Manager (не уверен, почему он не снят, потому что он был там раньше). Я использую Mac, кстати, если опция меню выглядит по-другому.

+15
источник
другие ответы

Связанные вопросы


Похожие вопросы

Ну, я чувствую себя глупо, но моя проблема заключалась в том, что я был в перспективе Debug, и они не появляются в этой перспективе. Переключился на Java и альт.

+4
источник

Окно → Пользовательская перспектива → Доступность групп команд → Android SDK и AVD Manager проверяют его

+4
источник

Скорее всего, вы можете запускать свое eclipse с помощью Java 1.5.

Latest Plugin requires that the JRE be 1.6 or higher. 

Вам нужно будет использовать Eclipse, который работает на JRE 1.6

Изменить: у меня были проблемы. Если это не проблема JRE, вы можете отладить это. Следуйте процедуре ниже:

  • Окно → показать вид → другое → Разработка плагинов → Реестр плагинов
  • В реестре плагинов найдите com.android.ide.eclipse.adt или любой другой плагин, связанный с android (в зависимости от вашей установки, возможно, 7-8)
  • Выберите, щелкните правой кнопкой мыши → Диагностировать. Это покажет проблему, почему плагин не был загружен.
+3
источник

Попробуйте переустановить плагин ADT в Eclipse. Проверьте это: Установка плагина Eclipse

0
источник

Я бы предложил вам установить плагин ADT, совместимый с вашими инструментами Android SDK, и попытаться установить все необходимые плагины, совместимые с вашим Android SDK КАК   Инструменты Android SDK Rev 20.0.3   Инструменты Android SDK Rev 20.0.3   Платформы Android SDK Rev 14   Android 2.3.3 (API 10) sdk platform rev 2   образцы для sdk api 10 rev 1   Плагин ADT 20.0.3

0
источник

К сожалению, мне пришлось переустановить eclipse. но сначала (в Linux) (не уверен в папке в Windows):

sudo rm -R /usr/share/eclipse/
0
источник

Посмотрите другие вопросы по меткам или Задайте вопрос